%define section	free

Name:		fractal
Version:	2.2
Release:	%mkrel 2.1
Epoch:		0
Summary:	A general software composition framework 
License:	LGPL
URL:		http://fractal.objectweb.org/
Group:		Development/Java
Source0:	FractalALL-2.2-RHCLEAN.zip
Patch1:		%{name}-asm.patch.bz2
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	antlr
BuildRequires:	asm
BuildRequires:	dtdparser
BuildRequires:	monolog
BuildRequires:	objectweb-anttask
BuildRequires:	objectweb-deploysched
Requires:	antlr
Requires:	asm
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Fractal is a general software composition framework that supports
component-based programming, including components (type) definition,
configuration, composition and administration.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n FractalALL
%patch1 -p1
find . -name "*.jar" -exec rm -f {} \;
## fractal
pushd fractal/config/
ln -sf $(build-classpath objectweb-anttask) ow_util_ant_tasks.jar
popd
## fractaladl
pushd fractaladl/config/
ln -sf $(build-classpath objectweb-anttask) ow_util_ant_tasks.jar
popd
pushd fractaladl/externals/
ln -sf $(build-classpath asm/asm) .
ln -sf $(build-classpath dtdparser) .
ln -sf ../../fractal/output/dist/lib/fractal.jar .
ln -sf $(build-classpath objectweb-deploysched/ow_deployment_scheduling) .
ln -sf $(build-classpath monolog/ow_util_log_api) .
popd

%build
for d in fractal fractaladl; do
    pushd $d
    export CLASSPATH=
    %ant -Dbuild.compiler=modern test dist
    popd
done

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

for jar in */output/dist/lib/*.jar; do
install -m 644 ${jar} $RPM_BUILD_ROOT%{_javadir}/%{name}/`basename ${jar} .jar`-%{version}.jar
done

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr */output/dist/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/Fractal

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:2.2-2.1mdk
- release

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:2.2-2jpp_1fc
- Build only fractal and fractal-adl.
- Work with our (later) version of asm.
- Add missing dependency on ant-junit.
- Remove jarfiles from the tarball.

* Fri Dec 03 2004 Fernando Nasser <fnasser@redhat.com> 0:2.2-2jpp_1rh
- Adjust dependencies on owanttask and owdeploysched to the
  new objectweb-* names
- Add dependency on gvf

* Fri Nov 15 2004 Fernando Nasser <fnasser@redhat.com> 0:2.2-1jpp_2rh
- Add missing dependencies on dtdparser and owdeploysched
- Rebuild

* Fri Oct 22 2004 Fernando Nasser <fnasser@redhat.com> 0:2.2-1jpp_1rh
- First Red Hat build

* Tue Sep 21 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-1jpp
- Upgrade to 2.2
- Now contains fractal/jonathan.jar (from fractal sources :-)
- Require owanttask (not contained in monolog any more)
- Still require monolog
- Require owdeploysched 
- Require gvf (for gvf/gvf-cwi-svggraphics.jar)
- License is LGPL

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> 0:2.0-2jpp
- Build with ant-1.6.2
- Set build.compiler to modern

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:2.0-1jpp
- release
